import { BehaviorSubject } from 'rxjs';
import { CommandRegistry } from './command-service';
import { PanelViewProviderRegistry } from './panel-views';
export declare function createServices(platformContext: any, internalService: any): {
    environment: BehaviorSubject<import("../api/environment").Environment<any, any>>;
    windows: import("./windows-service").IEditorWindowsService;
    contextKeyService: any;
    lifecycleService: any;
    model: any;
    viewer: any;
    extensions: {
        activeExtensions: import("rxjs").Observable<{}[]>;
    };
    commands: CommandRegistry;
    contribution: any;
    panelView: PanelViewProviderRegistry;
    organizationContextService: any;
    configurationService: any;
    registry: any;
    preferenceService: any;
    notificationService: any;
    dialogService: any;
    statusbarService: any;
    keybindingService: any;
};
//# sourceMappingURL=services.d.ts.map